<?xml version="1.0" encoding="UTF-8"?>
<!--
  #%L
  Fuse EAP :: Distro
  %%
  Copyright (C) 2015 RedHat
  %%
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
       http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  #L%
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.redhat.fuse.eap</groupId>
        <artifactId>fuse-eap</artifactId>
        <version>6.2.1.redhat-216</version>
    </parent>

    <name>Fuse EAP :: Distro</name>

    <artifactId>fuse-eap-distro</artifactId>
    <packaging>pom</packaging>

    <!-- Dependencies -->
    <dependencies>
        <dependency>
            <groupId>com.redhat.fuse.eap</groupId>
            <artifactId>fuse-eap-config</artifactId>
            <version>6.2.1.redhat-216</version>
        </dependency>
        <dependency>
            <groupId>org.switchyard</groupId>
            <artifactId>switchyard-as7-standalone-dist</artifactId>
            <version>${version.switchyard}</version>
            <type>zip</type>
            <exclusions>
                <exclusion>
                    <groupId>tranql</groupId>
                    <artifactId>tranql-connector</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.wildfly.camel</groupId>
            <artifactId>wildfly-camel-patch</artifactId>
            <version>${version.wildfly.camel}</version>
            <type>tar.gz</type>
        </dependency>
        <dependency>
            <groupId>org.switchyard</groupId>
            <artifactId>switchyard-tools-dist</artifactId>
            <version>${version.switchyard}</version>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>org.jboss.soa.bpel</groupId>
            <artifactId>riftsaw-dao-jpa-hibernate</artifactId>
            <version>${version.org.riftsaw.ode}</version>
        </dependency>
    </dependencies>

    <!-- Build -->
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <executions>
                    <execution>
                        <id>copy-resources</id>
                        <phase>validate</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${basedir}/target/dependency/riftsaw</outputDirectory>
                            <resources>
                                <resource>
                                    <directory>sql/riftsaw</directory>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>prepare-runtime</id>
                        <goals>
                            <goal>unpack</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.switchyard</groupId>
                                    <artifactId>switchyard-tools-dist</artifactId>
                                    <type>zip</type>
                                    <outputDirectory>${project.build.directory}/dependency/switchyard-tools-dist</outputDirectory>
                                    <includes>**</includes>
                                </artifactItem>
                                <artifactItem>
                                    <groupId>org.wildfly.camel</groupId>
                                    <artifactId>wildfly-camel-patch</artifactId>
                                    <type>tar.gz</type>
                                    <outputDirectory>${project.build.directory}/dependency/wildfly-camel-patch</outputDirectory>
                                </artifactItem>
                            </artifactItems>
                            <excludeTransitive>true</excludeTransitive>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>run</goal>
                        </goals>
                        <configuration>
                            <target>
                                <!-- Touch SwitchYard BPEL console .dodeploy file -->
                                <touch file="${project.build.directory}/dependency/switchyard-tools-dist/switchyard-tools-${version.switchyard.distro}/switchyard-bpel-console.war.dodeploy"></touch>
                                <!-- Remove itests module reference from quickstarts pom.xml -->
                                <replaceregexp file="${project.build.directory}/dependency/wildfly-camel-patch/quickstarts/camel/pom.xml" match=".*itests.*" replace="" byline="true"></replaceregexp>
                            </target>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <executions>
                    <execution>
                        <id>make-assembly</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                        <configuration>
                            <appendAssemblyId>false</appendAssemblyId>
                            <descriptors>
                                <descriptor>scripts/assembly-distro.xml</descriptor>
                            </descriptors>
                        </configuration>
                    </execution>
                    <!--
                        Builds HF17:

                        https://issues.jboss.org/browse/PATCH-1192
                    -->
                    <execution>
                        <id>make-hotfix-17-assembly</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                        <configuration>
                            <appendAssemblyId>true</appendAssemblyId>
                            <descriptors>
                                <descriptor>scripts/assembly-hotfix-17.xml</descriptor>
                            </descriptors>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
